
QGIS Application - Bug report #20304

QGIS crash

2018-11-01 01:05 AM - Juan Carlos Linares

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.4.0 Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 28125

Description

Crash ID: 0011b3ca66b834762ab64164770ee29827c2cb21

Stack Trace

QgsLayoutItemAttributeTable::writePropertiesToElement :

QgsLayoutMultiFrame::writeXml :

QgsLayout::writeXml :

QgsPrintLayout::writeXml :

QgsPrintLayout::writeLayoutXml :

QgsLayoutManager::writeXml :

QgsProject::writeProjectFile :

QgsProject::zip :

QgsProject::write :

QgisApp::fileSave :

QMetaObject::activate :

QAction::activate :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QToolButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :
QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.0-Madeira

QGIS code revision: 4a4b62ed19

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2018-11-01 07:27 AM - Nyall Dawson

- Status changed from Open to Feedback

Can you please post steps to reproduce?

#2 - 2018-11-04 08:57 PM - Saber Razmjooei

- Subject changed from Crash ID: 0011b3ca66b834762ab64164770ee29827c2cb21 to QGIS crash

#3 - 2019-02-11 05:01 AM - Nyall Dawson

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
